/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: tcp_echo_srv1_var.h 1.7 2017/6/1 8:50:25 abe $
 */

#ifdef USE_TCP_ECHO_SRV1

#ifndef _TCP_ECHO_SRV1_VAR_H_
#define _TCP_ECHO_SRV1_VAR_H_

/*
 *  :
 *
 *    BUF_SIZE  TCP 
 *    ɥХåե + ɥХåե 
 *    3/2 ܰʾ礭ʤСǥåɥåǽ롣
 */

#define BUF_SIZE	((TCP_ECHO_SRV_SWBUF_SIZE + \
                          TCP_ECHO_SRV_RWBUF_SIZE) * 3 / 2)

/*
 *  о¤
 */

typedef struct t_tcp_echo_srv_info {
	ID	cepid;		/* ̿ü ID		*/
	ID	repid;		/* ո   ID		*/

#ifdef USE_TCP_NON_BLOCKING
	ID	semid;		/* NBLK  ޥեID	*/
	ER	error;		/* NBLK  error	*/
	ER_UINT	slen;		/* NBLK  ǡ	*/
	ER_UINT	rlen;		/* NBLK  ǡ	*/
#endif

	T_IPEP	dst;		/* ³ꥢɥ쥹	*/

#ifdef USE_TCP_NON_BLOCKING

	char	buffer[BUF_SIZE];

#else	/* of #ifdef USE_TCP_NON_BLOCKING */

#ifndef USE_COPYSAVE_API
	char	buffer[BUF_SIZE];
#endif

#endif	/* of #ifdef USE_TCP_NON_BLOCKING */

	} T_TCP_ECHO_SRV_INFO;

#define INDEX_SRV_INFO(id)	((id)-1)

/*
 *  ѿ
 */

extern T_TCP_ECHO_SRV_INFO tcp_echo_srv_info[];

/*
 *  ؿ
 */

extern ER tcp_echo_srv (uint_t six, char apip);

#endif	/* of #ifndef _TCP_ECHO_SRV1_VAR_H_ */

#endif	/* of #ifdef USE_TCP_ECHO_SRV1 */
