/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: tcp_echo_cli.h 1.7 2017/6/1 8:50:24 abe $
 */

#ifndef _TCP_ECHO_CLI_H_
#define _TCP_ECHO_CLI_H_

/* å */

#ifdef TOPPERS_S810_CLG3_85

#define TCP_ECHO_CLI_RCV_STACK_SIZE	512		/* TCP ECHO 饤ȼΥå	*/
#define TCP_ECHO_CLI_SND_STACK_SIZE	512		/* TCP ECHO 饤Υå	*/

#else	/* of #ifdef TOPPERS_S810_CLG3_85 */

#define TCP_ECHO_CLI_RCV_STACK_SIZE	1024		/* TCP ECHO 饤ȼΥå	*/
#define TCP_ECHO_CLI_SND_STACK_SIZE	1024		/* TCP ECHO 饤Υå	*/

#endif	/* of #ifdef TOPPERS_S810_CLG3_85 */

/* ͥ */

#define TCP_ECHO_CLI_RCV_MAIN_PRIORITY	5		/* TCP ECHO 饤ȼͥ		*/
#define TCP_ECHO_CLI_SND_MAIN_PRIORITY	5		/* TCP ECHO 饤ͥ		*/

/*
 *  TCP ɥХåե
 */

#if defined(USE_TCP_MSS_SEG) || defined(USE_IPV6_MMTU)

#if defined(SUPPORT_INET6)

#define TCP_ECHO_CLI_SWBUF_SIZE		(1024)
#define TCP_ECHO_CLI_RWBUF_SIZE		(1024)

#elif defined(SUPPORT_INET4)

#define TCP_ECHO_CLI_SWBUF_SIZE		(512)
#define TCP_ECHO_CLI_RWBUF_SIZE		(512)

#endif	/* of #if defined(SUPPORT_INET6) */

#else	/* of #if defined(USE_TCP_MSS_SEG) || defined(USE_IPV6_MMTU) */

#define TCP_ECHO_CLI_SWBUF_SIZE		(2048)
#define TCP_ECHO_CLI_RWBUF_SIZE		(2048)

#endif	/* of #if defined(USE_TCP_MSS_SEG) || defined(USE_IPV6_MMTU) */

/*
 *  Хåե
 */

#define NUM_ECHO		20
#define NUM_REP_PAT		20
#define PAT_BEGIN		' '
#define PAT_END			'~'
#define SND_BUF_SIZE		((PAT_END - PAT_BEGIN + 1) * NUM_REP_PAT)
#define RCV_BUF_SIZE		(SND_BUF_SIZE*15/10)

/*
 *  ѿ
 */

extern bool_t	tcp_echo_cli_valid;
extern uint_t	tcp_echo_cli_scount;
extern ER_UINT	tcp_echo_cli_nblk_error;

/* TCP Хåե */

extern uint8_t tcp_echo_cli_swbuf[];
extern uint8_t tcp_echo_cli_rwbuf[];

/* */

extern void	tcp_echo_cli_rcv_task(intptr_t exinf);
extern void	tcp_echo_cli_snd_task(intptr_t exinf);

/* ؿ */

extern ER callback_nblk_tcp_echo_cli (ID cepid, FN fncd, void *p_parblk);

#ifdef T_IN_ADDR
extern ER tcp_echo_cli_snd (ID cepid, T_IN_ADDR *ipaddr, uint16_t portno, char apip);
#endif

#endif	/* of #ifndef _TCP_ECHO_CLI_H_ */
