/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: tcp_echo_srv2.h 1.7 2017/6/1 8:50:25 abe $
 */

#ifdef USE_TCP_ECHO_SRV2

#ifndef _TCP_ECHO_SRV2_H_
#define _TCP_ECHO_SRV2_H_

/* 
 *  TCP ECHO  #2
 *
 *    ʬΥ
 *    Υ֥å󥰥
 *    IPv4/IPv6
 */

/* å */

#define TCP_ECHO_SRV_STACK_SIZE		1024		/* TCP ECHO ХΥå		*/

/* ͥ */

#define TCP_ECHO_SRV_MAIN_PRIORITY	5		/* TCP ECHO Хͥ			*/

/*
 *  TCP ɥХåե
 */

#if defined(USE_TCP_MSS_SEG) || defined(USE_IPV6_MMTU)

#if defined(SUPPORT_INET6)

#define TCP_ECHO_SRV_SWBUF_SIZE		(1024)
#define TCP_ECHO_SRV_RWBUF_SIZE		(1024)

#elif defined(SUPPORT_INET4)

#define TCP_ECHO_SRV_SWBUF_SIZE		(512)
#define TCP_ECHO_SRV_RWBUF_SIZE		(512)

#endif	/* of #if defined(SUPPORT_INET6) */

#else	/* of #if defined(USE_TCP_MSS_SEG) || defined(USE_IPV6_MMTU) */

#define TCP_ECHO_SRV_SWBUF_SIZE		(1024)
#define TCP_ECHO_SRV_RWBUF_SIZE		(1024)

#endif	/* of #if defined(USE_TCP_MSS_SEG) || defined(USE_IPV6_MMTU) */

/*  */

#if defined(USE_TCP_ECHO_SRV2)
#if defined(NUM_TCP_ECHO_SRV_TASKS)
#undef  NUM_TCP_ECHO_SRV_TASKS
#endif	/* of #if defined(NUM_TCP_ECHO_SRV_TASKS) */
#define NUM_TCP_ECHO_SRV_TASKS		1
#endif	/* of #if defined(USE_TCP_ECHO_SRV2) */

/*
 *  ѿ
 */

/* TCP ɥХåե */

extern uint8_t tcp_echo_srv_swbuf[NUM_TCP_ECHO_SRV_TASKS][TCP_ECHO_SRV_SWBUF_SIZE];
extern uint8_t tcp_echo_srv_rwbuf[NUM_TCP_ECHO_SRV_TASKS][TCP_ECHO_SRV_RWBUF_SIZE];

/*
 *  
 */

extern void	tcp_echo_srv_rcv_task(intptr_t exinf);
extern void	tcp_echo_srv_snd_task(intptr_t exinf);

/*
 *  ؿ
 */

extern ER callback_nblk_tcp_echo_srv (ID cepid, FN fncd, void *p_parblk);

#endif	/* of #ifndef _TCP_ECHO_SRV2_H_ */

#endif	/* of #ifdef USE_TCP_ECHO_SRV2 */
