/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2017 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: tinet_kernel_defs.h 1.7 2017/6/1 8:50:41 abe $
 */

/*
 *  ͥ˴ؤߴե
 */

#ifndef _TINET_KERNEL_DEFS_H_
#define _TINET_KERNEL_DEFS_H_

#if defined(TARGET_KERNEL_JSP)

#ifndef _MACRO_ONLY

/*
 *  ǡinttype.h
 */

#ifdef _int8_
typedef _int8_			int8_t;		/* դ 8 ӥå */
typedef unsigned _int8_		uint8_t;	/* ̵ 8 ӥå */
#endif	/* of #ifdef _int8_ */

#ifdef _int16_
typedef _int16_			int16_t;	/* դ 16 ӥå */
typedef unsigned _int16_	uint16_t;	/* ̵ 16 ӥå */
#endif	/* of #ifdef _int16_ */

#ifdef _int32_
typedef _int32_			int32_t;	/* դ 32 ӥå */
typedef unsigned _int32_	uint32_t;	/* ̵ 32 ӥå */
#endif	/* of #ifdef _int32_ */

#ifdef _int64_
typedef unsigned _int64_	uint64_t;	/* ̵ 64 ӥå */
#endif	/* of #ifdef _int64_ */

typedef signed int		int_t;		/* ʥդ */
typedef unsigned int		uint_t;		/* ʥ̵ */

typedef signed long		long_t;		/* ĹΥդ */
typedef unsigned long		ulong_t;	/* ĹΥ̵ */

#ifdef _vp_int_
typedef _vp_int_		intptr_t;	/* ݥ󥿤ޤդ */
#else	/* of #ifdef _vp_int_ */
typedef VP			intptr_t;	/* ݥ󥿤ޤդ */
#endif	/* of #ifdef _vp_int_ */

typedef int			bool_t;		/*  */

#ifndef true
#define true			1		/*  */
#endif /* true */

#ifndef false
#define false			0		/*  */
#endif /* false */

#endif	/* of #ifndef _MACRO_ONLY */

/* ¤ structure Υե field ΥХȰ֤֤ޥ */
#ifndef offsetof
#define offsetof(structure, field) ((size_t) &(((structure *) 0)->field))
#endif	/* of #ifndef offsetof */

/*
 *  ޥ
 */
#ifndef UINT_C
#define UINT_C(val)		(val ## U)	/* uint_tޥ */
#endif /* UINT_C */

#ifndef ULONG_C
#define ULONG_C(val)		(val ## UL)	/* ulong_tޥ */
#endif /* ULONG_C */

#elif defined(TARGET_KERNEL_ASP)

#define syscall(api)		(api)

#endif	/* of #if defined(TARGET_KERNEL_JSP) */

#endif	/* of #ifndef _TINET_KERNEL_DEFS_H_ */
